Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class Ferror

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.wtc.jatmi.Ferror

public final class Ferror
extends java.lang.Exception

This is the Ferror exception many FML functions throw

Author:
  BEA Systems, Inc.
See Also:
  `FML`, Serialized Form

Field Summary
`static int` | `FALIGNERR` Buffer is not aligned properly
`static int` | `FBADACM` Reserved
`static int` | `FBADFLD` Invalid field id
`static int` | `FBADNAME` Invalid field name
`static int` | `FBADTBL` Bad field table
`static int` | `FBADVIEW` Bad view table
`static int` | `FEBADOP` Invalid operation on buffer
`static int` | `FEINVAL` Invalid input parameter
`static int` | `FEUNIX` Operating system error
`static int` | `FFTOPEN` Could not open field table
`static int` | `FFTSYNTAX` Invalid syntax
`static int` | `FMALLOC` Error allocating space
`static int` | `FMAXVAL` Maximal Ferror value
`static int` | `FMINVAL` Minimum Fml Error value
`static int` | `FNOCNAME` Reserved
`static int` | `FNOSPACE` No space in object
`static int` | `FNOTFLD` Buffer is not fielded
`static int` | `FNOTPRES` Field not present
`static int` | `FSYNTAX` Invalid syntax
`static int` | `FTYPERR` Invalid field type
`static int` | `FVFOPEN` Could not open view table
`static int` | `FVFSYNTAX` Bad view syntax

Constructor Summary
`Ferror()` Default constructor, set errno to FMINVAL
`Ferror(int errno)` Constructor which initializes the errno to the input parameter
`Ferror(int errno, java.lang.String explain)` Constructor which initializes the errno to the input parameter as well as an explanation string

Method Summary
`static java.lang.String` | `Fstrerror(int Ferror)` Returns a string version of the Ferror error number given
`int` | `getFerror()` Returns the Ferror variable
`java.lang.String` | `toString()` Produces a string version of this object

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FMINVAL

    public static final int FMINVAL

  Minimum Fml Error value

### FALIGNERR

    public static final int FALIGNERR

  Buffer is not aligned properly

### FNOTFLD

    public static final int FNOTFLD

  Buffer is not fielded

### FNOSPACE

    public static final int FNOSPACE

  No space in object

### FNOTPRES

    public static final int FNOTPRES

  Field not present

### FBADFLD

    public static final int FBADFLD

  Invalid field id

### FTYPERR

    public static final int FTYPERR

  Invalid field type

### FEUNIX

    public static final int FEUNIX

  Operating system error

### FBADNAME

    public static final int FBADNAME

  Invalid field name

### FMALLOC

    public static final int FMALLOC

  Error allocating space

### FSYNTAX

    public static final int FSYNTAX

  Invalid syntax

### FFTOPEN

    public static final int FFTOPEN

  Could not open field table

### FFTSYNTAX

    public static final int FFTSYNTAX

  Invalid syntax

### FEINVAL

    public static final int FEINVAL

  Invalid input parameter

### FBADTBL

    public static final int FBADTBL

  Bad field table

### FBADVIEW

    public static final int FBADVIEW

  Bad view table

### FVFSYNTAX

    public static final int FVFSYNTAX

  Bad view syntax

### FVFOPEN

    public static final int FVFOPEN

  Could not open view table

### FBADACM

    public static final int FBADACM

  Reserved

### FNOCNAME

    public static final int FNOCNAME

  Reserved

### FEBADOP

    public static final int FEBADOP

  Invalid operation on buffer

### FMAXVAL

    public static final int FMAXVAL

  Maximal Ferror value

Constructor Detail

### Ferror

    public Ferror()

  Default constructor, set errno to FMINVAL

### Ferror

    public Ferror(int errno)

  Constructor which initializes the errno to the input parameter

  Parameters:
    `errno` - The initial error number

### Ferror

    public Ferror(int errno,
                  java.lang.String explain)

  Constructor which initializes the errno to the input parameter as well as an explanation string

  Parameters:
    `errno` - The initial error number
    `explain` - An explanation for the error

Method Detail

### getFerror

    public int getFerror()

  Returns the Ferror variable

  Returns:
    Ferror

### Fstrerror

    public static java.lang.String Fstrerror(int Ferror)

  Returns a string version of the Ferror error number given

  Parameters:
    `Ferror` - The Ferror for which to get a string representation
  Returns:
    A string version of the Ferror given

### toString

    public java.lang.String toString()

  Produces a string version of this object

  Returns:
    A string version of this object
  Overrides:
    toString in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference